#! /usr/bin/env python3
# encoding: utf-8

import sys

from . import app
from . import aux
from . import callback
from . import cmd
from . import docs
from . import file
from . import misc
from . import text
from . import types
from . import version

print = text.Output("over.__init__", stream=sys.stderr)

core = aux.DeprecationForwarder(sys.modules[__name__], "over.core", "over")
textui = aux.DeprecationForwarder(text, "over.core.textui", "over.text")

for module in [types]:
	if module.__file__[-2:] == "py":
		print("<r>unable to load C implementation<.> of <y>%s<.>, falling back to pure Python instead" %(module.__name__), print.tl.warn)
